SYSCTL(8)

BEZEICHNUNG
sysctl - die Kernel-Parameter zur Laufzeit konfigurieren

ÜBERSICHT
sysctl [Optionen] [Variable[=Wert]] […]
sysctl -p [Datei oder regulärer Ausdruck] […]

BESCHREIBUNG
sysctl wird zur Beeinflussung der Kernelparameter zur Laufzeit verwendet. Die verfügbaren Parameter sind unter /proc/sys/ aufgelistet. Procfs wird für die sysctl-Unterstützung in Linux benötigt. Sie können sysctl sowohl zum Lesen als auch zum Schreiben von sysctl-Daten verwenden.

PARAMETER

Variable
    ist der Name des Schlüssels, der ausgelesen werden soll, zum Beispiel kernel.ostype. Als Trenner wird neben dem Punkt ».« auch der Schrägstrich »/« akzeptiert.

Variable=Wert
    Um einen Schlüssel zu setzen, verwenden Sie die Form Variable=Wert, wobei Variable den Schlüssel darstellt und Wert derjenige ist, auf den der Schlüssel gesetzt werden soll. Falls der Wert Zitatzeichen oder Zeichen enthält, die von der Shell interpretiert werden, müssen Sie den Wert in doppelte Anführungszeichen einschließen. Dafür wird der Parameter -w benötigt.

-n, --values
    unterdrückt die Ausgabe des Schlüsselnamens, wenn Werte ausgegeben werden.

-e, --ignore
    unterdrückt die Ausgabe von Fehlermeldungen bei unbekannten Schlüsseln.

-N, --names
    gibt nur die Namen aus. Dies kann bei Shells mit programmierbarer Vervollständigung sinnvoll sein.

-q, --quiet
    unterdrückt die Ausgabe der gesetzten Werte in die Standardausgabe.

-w, --write
    wird zum Ändern einer sysctl-Einstellung verwendet.

-p[DATEI], --load[=DATEI]
    lädt die sysctl-Einstellungen aus der angegebenen Datei oder /etc/sysctl.conf, falls keine angegeben ist. Bei Angabe von »-« als Dateiname wird aus der Standardeingabe gelesen. Die in dieser Option an sysctl übergebenen Argumente werden als Dateien aufgefasst und in der angegebenen Reihenfolge gelesen. Das Dateiargument kann als regulärer Ausdruck angegeben werden.

-a, --all
    zeigt alle aktuell verfügbaren Werte an.

--deprecated
    schließt veraltete Parameter in die Auflistung der Werte mit --all ein.

-b, --binary
    gibt den Wert ohne neue Zeile aus.

--system
    lädt die Einstellungen aus allen Konfigurationsdateien des Systems.
    /run/sysctl.d/*.conf
    /etc/sysctl.d/*.conf
    /usr/local/lib/sysctl.d/*.conf
    /usr/lib/sysctl.d/*.conf
    /lib/sysctl.d/*.conf
    /etc/sysctl.conf

-r, --pattern Muster
    wendet nur Einstellungen an, die dem Muster entsprechen. Das Muster verwendet eine erweiterte Syntax mit regulären Ausdrücken.

-A  Alias für -a

-d  Alias für -h

-f  Alias für -p

-X  Alias für -a

-o  ist wirkungslos, nur für BSD-Kompatibilität.

-x  ist wirkungslos, nur für BSD-Kompatibilität.

-h, --help
    zeigt eine Hilfe an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

BEISPIELE
/sbin/sysctl -a
/sbin/sysctl -n kernel.hostname
/sbin/sysctl -w kernel.domainname="beispiel.com"
/sbin/sysctl -p/etc/sysctl.conf
/sbin/sysctl -a --pattern forward
/sbin/sysctl -a --pattern forward$
/sbin/sysctl -a --pattern 'net.ipv4.conf.(eth|wlan)0.arp'
/sbin/sysctl --system --pattern '^net.ipv6'

VERALTETE PARAMETER
Die Parameter base_reachable_time und retrans_time sind veraltet. Der sysctl-Befehl erlaubt die Änderung der Werte dieser Parameter nicht. Benutzer, die immer noch veraltete Kernelschnittstellen benutzen, sollten Werte im /proc-Dateisystem auf andere Weise behandeln, zum Beispiel:

echo 256 > /proc/sys/net/ipv6/neigh/eth0/base_reachable_time

DATEIEN
/proc/sys
/etc/sysctl.conf

SIEHE AUCH
sysctl.conf(5) regex(7)

AUTOR
George Staikos (staikos@0wned.org)

FEHLER BERICHTEN
Bitte senden Sie Fehlerberichte an procps@freelists.org